Order Settlement
OrderSettlement
List all settlements for an order.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to an Order.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Example response
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"items": [
{
"amount": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"displayMessages": [
{
"key": "text",
"message": "text",
"timestamp": "2026-01-01T00:00:00.000Z"
}
],
"externalId": "text",
"externalPaymentReference": "text",
"idMethod": "NO_CVM_RULE_PERFORMED",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"parameters": [
{
"key": "text",
"value": "text"
}
],
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementCode": "text",
"settlementUid": "text",
"settlementName": "text",
"state": "NOT_STARTED",
"status": "NEW",
"storeSettlementIssuerUid": "text",
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"storePaymentMethodUid": "text",
"currency": {
"amount": 1,
"code": "text",
"exchangeRate": 1
},
"additionalDetails": [
{
"key": "text",
"value": "text"
}
],
"paymentCount": 1,
"paymentAmount": 1,
"orderReceiptUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Create a new order settlement
Create a new settlement for an order.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to an Order.
^[A-Za-z0-9-_]+Create a new settlement
in cents, e.g. 1,50 as 150
External reference for the settlement
^[A-Za-z0-9-_]*^[A-Za-z0-9-_]+Example response
The external payment reference for this settlement. For invoices, this could contain the KID
Ledger number must be a valid number with possible leading zeros
| ENUM | Description |
|---|---|
| LEDGER | Ledger |
| GENERAL_LEDGER | General ledger |
| CUSTOMER_LEDGER | Customer ledger |
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]*POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 157
{
"amount": 1,
"deviceIdentifier": "text",
"externalId": "text",
"parameters": [
{
"key": "text",
"value": "text"
}
],
"storePaymentMethodUid": "text",
"settlementUid": "text"
}Example response
{
"amount": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"displayMessages": [
{
"key": "text",
"message": "text",
"timestamp": "2026-01-01T00:00:00.000Z"
}
],
"externalId": "text",
"externalPaymentReference": "text",
"idMethod": "NO_CVM_RULE_PERFORMED",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"parameters": [
{
"key": "text",
"value": "text"
}
],
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementCode": "text",
"settlementUid": "text",
"settlementName": "text",
"state": "NOT_STARTED",
"status": "NEW",
"storeSettlementIssuerUid": "text",
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"storePaymentMethodUid": "text",
"currency": {
"amount": 1,
"code": "text",
"exchangeRate": 1
},
"additionalDetails": [
{
"key": "text",
"value": "text"
}
],
"paymentCount": 1,
"paymentAmount": 1,
"orderReceiptUid": "text"
}Get order settlement details
Get details for a specific settlement on an order.
Accesstoken recevied after user login with a deviceToken
Reference to a Store.
^[A-Za-z0-9-_]+Reference to an Order.
^[A-Za-z0-9-_]+Reference to a settlement on an order.
^[A-Za-z0-9-_]+Reference to a tenant.
^[A-Za-z0-9-_]+Check external payment gateways and fetch status
Include display messages in the response
Example response
The external payment reference for this settlement. For invoices, this could contain the KID
Ledger number must be a valid number with possible leading zeros
| ENUM | Description |
|---|---|
| LEDGER | Ledger |
| GENERAL_LEDGER | General ledger |
| CUSTOMER_LEDGER | Customer ledger |
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]*GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"amount": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"displayMessages": [
{
"key": "text",
"message": "text",
"timestamp": "2026-01-01T00:00:00.000Z"
}
],
"externalId": "text",
"externalPaymentReference": "text",
"idMethod": "NO_CVM_RULE_PERFORMED",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"parameters": [
{
"key": "text",
"value": "text"
}
],
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementCode": "text",
"settlementUid": "text",
"settlementName": "text",
"state": "NOT_STARTED",
"status": "NEW",
"storeSettlementIssuerUid": "text",
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"storePaymentMethodUid": "text",
"currency": {
"amount": 1,
"code": "text",
"exchangeRate": 1
},
"additionalDetails": [
{
"key": "text",
"value": "text"
}
],
"paymentCount": 1,
"paymentAmount": 1,
"orderReceiptUid": "text"
}Delete an order settlement
Delete a settlement on an order.
Accesstoken recevied after user login with a deviceToken
Reference to a Store.
^[A-Za-z0-9-_]+Reference to an Order.
^[A-Za-z0-9-_]+Reference to a settlement on an order.
^[A-Za-z0-9-_]+Reference to a tenant.
^[A-Za-z0-9-_]+Force Delete on a settlement
No Content
No content
Forbidden
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
List payments for settlement
A payment belongs to an order settlement with payment method INVOICE.
Normally invoices are paid via bank and the payments imported or also registered by hand.
But if a customer pays the invoice by another method in the store (e.g. cash or card),
it is made as a settlement on a new order without any lines, and then shown as paymentSettlement.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to an Order.
^[A-Za-z0-9-_]+Reference to a settlement on an order.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Example response
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"items": [
{
"paymentUid": "text",
"amount": 1,
"paidAt": "2026-01-01T00:00:00.000Z",
"externalReference": "text",
"paymentSettlementUid": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text"
}
]
}Add payment for settlement
Add a payment for a settlement.
amount is in cents.
If paidAt is nil, it is set to now.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to an Order.
^[A-Za-z0-9-_]+Reference to a settlement on an order.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]*Example response
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]*POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 95
{
"amount": 1,
"paidAt": "2026-01-01T00:00:00.000Z",
"externalReference": "text",
"paymentUid": "text"
}Example response
{
"paymentUid": "text",
"amount": 1,
"paidAt": "2026-01-01T00:00:00.000Z",
"externalReference": "text",
"paymentSettlementUid": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text"
}Create new payment-settlement
A payment belongs to an order settlement with payment method INVOICE.
Normally invoices are paid via bank and the payments imported or also registered by hand.
But if a customer pays the invoice by another method in store (e.g. cash or card)
it is made as a settlement on a new order without any lines, and this is what we do here,
meaning the path parameters must refer to the order and settlement for which this is a payment.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to an Order.
^[A-Za-z0-9-_]+Reference to a settlement on an order.
^[A-Za-z0-9-_]+Create a new settlement
in cents, e.g. 1,50 as 150
External reference for the settlement
^[A-Za-z0-9-_]*^[A-Za-z0-9-_]+Example response
Use invoiceAddress only if an order has a different invoice than orderAddress.
^[A-Za-z0-9-_]*^[A-Za-z0-9-_]*| ENUM | Description |
|---|---|
| NOT_STARTED | Delivery not started |
| IN_PROGRESS | Delivery is in progress. Some order lines are still reserved |
| COMPLETE | Delivery is complete. All order lines are delivered |
Note visible on the receipt.
^[A-Za-z0-9-_]+| ENUM | Description |
|---|---|
| OPEN | Order is open and beeing edited by someone |
| PARKED | Order is parked |
| CANCELED | Order is canceled/deleted |
| COMPLETE | Order is complete |
| ENUM | Description |
|---|---|
| NOT_STARTED | Settlement not started |
| IN_PROGRESS | Settlement is in progress and the order cannot be changed |
| COMPLETE | Settlement is complete |
When the settleState is set COMPLETE.
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]*| ENUM | Description |
|---|---|
| SUM | Print as a part of orderlines. |
| SEPARATE | Print as a separate field. |
A reference to a fully settled order.
^[A-Za-z0-9-_]*POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payment-settlements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 157
{
"amount": 1,
"deviceIdentifier": "text",
"externalId": "text",
"parameters": [
{
"key": "text",
"value": "text"
}
],
"storePaymentMethodUid": "text",
"settlementUid": "text"
}Example response
{
"shippingAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"firstname": "text",
"lastname": "text",
"mobile": "text",
"postalCode": "text",
"vatNumber": "text",
"displayName": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"customerAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"firstname": "text",
"lastname": "text",
"mobile": "text",
"postalCode": "text",
"vatNumber": "text",
"displayName": "text"
},
"customerUid": "text",
"customerContact": {
"customerContactUid": "text",
"firstname": "text",
"lastname": "text",
"email": "text",
"mobile": "text",
"displayName": "text"
},
"deliveryState": "NOT_STARTED",
"externalOrderNumber": "text",
"externalVoucherNumber": "text",
"invoiceAddress": {
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"email": "text",
"mobile": "text",
"firstname": "text",
"lastname": "text",
"postalCode": "text",
"displayName": "text",
"customerAddressUid": "text"
},
"items": [
{
"actions": [
{
"comment": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"handlingActionUid": "text",
"handlingActionName": "text",
"handlingDescription": "text",
"handlingUid": "text",
"handlingName": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"orderHandlingActionUid": "text"
}
],
"allowedActions": [
"QUANTITY_SOLD"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"discountReasonCode": "text",
"externalId": "text",
"itemCost": 1,
"itemDiscountAmount": 1,
"itemDiscountPercentage": 1,
"itemGrossProfitAmount": 1,
"itemGrossProfitPercentage": 1,
"itemPrice": 1,
"itemVatAmount": 1,
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"name": "text",
"note": "text",
"orderItemUid": "text",
"orderLinks": [
{
"orderUid": "text",
"orderItemUid": "text",
"orderNumber": "text",
"storeUid": "text",
"type": "CREDIT"
}
],
"originalItemPrice": 1,
"productUid": "text",
"productType": "STOCK",
"properties": [
{
"uid": "text",
"key": "text",
"value": "text"
}
],
"quantityCredited": 1,
"quantityDelivered": 1,
"quantityOrdered": 1,
"quantityReserved": 1,
"returnReasonCode": "text",
"serialnumber": "text",
"sku": "text",
"sortOrder": 1,
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"totalCost": 1,
"totalDiscountAmount": 1,
"totalGrossProfitAmount": 1,
"totalPrice": 1,
"totalVatAmount": 1,
"vatCodeUid": "text",
"warehouseUid": "text",
"warehouseName": "text",
"internalInfo": "text",
"productProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"coverImage": {
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text"
},
"deliveryUid": "text",
"compensationReasonCode": "text",
"orderReceiptUid": "text",
"allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
"reservationType": "NONE",
"reservationDetails": {
"warehouse": {
"warehouseName": "text"
},
"purchaseOrder": {
"purchaseOrderUid": "text",
"purchaseOrderItemUid": "text",
"expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
"purchaseOrderNumber": "text",
"quantityOrdered": 1
}
}
}
],
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"note": "text",
"orderUid": "text",
"orderNumber": "text",
"orderState": "OPEN",
"orderTotals": {
"costTotal": 1,
"grandTotal": 1,
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"specifiedVat": [
{
"vatAmount": 1,
"vatDescription": "text",
"vatRate": 1
}
],
"subtotal": 1,
"totalDiscount": 1,
"totalVat": 1
},
"orderhandlingState": "NOT_STARTED",
"orderhandlings": [
{
"active": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"description": "text",
"handlingUid": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"name": "text",
"orderHandlingUid": "text",
"state": "NOT_STARTED"
}
],
"settleState": "NOT_STARTED",
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementTotals": {
"change": 1,
"remaining": 1,
"remainingRounded": 1,
"totals": 1,
"remainingPrePayment": 1
},
"settlements": [
{
"amount": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"displayMessages": [
{
"key": "text",
"message": "text",
"timestamp": "2026-01-01T00:00:00.000Z"
}
],
"externalId": "text",
"externalPaymentReference": "text",
"idMethod": "NO_CVM_RULE_PERFORMED",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"parameters": [
{
"key": "text",
"value": "text"
}
],
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementCode": "text",
"settlementUid": "text",
"settlementName": "text",
"state": "NOT_STARTED",
"status": "NEW",
"storeSettlementIssuerUid": "text",
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"storePaymentMethodUid": "text",
"currency": {
"amount": 1,
"code": "text",
"exchangeRate": 1
},
"additionalDetails": [
{
"key": "text",
"value": "text"
}
],
"paymentCount": 1,
"paymentAmount": 1,
"orderReceiptUid": "text"
}
],
"storeUid": "text",
"storeName": "text",
"systemOrigin": "text",
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"tillUid": "text",
"type": "OFFER",
"validUntil": "2026-01-01T00:00:00.000Z",
"vatFree": true,
"vatPrint": "SUM",
"voucherNumber": "text",
"deliveryDate": "2026-01-01",
"discounts": [
{
"orderDiscountUid": "text",
"discountCode": "text",
"type": "PERCENTAGE",
"amount": 1,
"name": "text",
"origin": "LOYALTY",
"validTo": "2026-01-01T00:00:00.000Z",
"maxUsage": 1,
"productSkus": [
"text"
],
"orderItemUids": [
"text"
],
"externalTransactionId": "text",
"scope": "WHOLE_ORDER",
"discountReasonCode": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"campaignUid": "text"
}
],
"compensationReasonUid": "text",
"lastModifiedBy": "text"
}Retrieves a filtered list of settlements for the organization.
Results are sorted by createdAt in descending order when no sorting parameter is specified.
The spreadsheet response is a report containing only key settlement fields
(pagination does not apply to spreadsheet responses).
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to an organization.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
EHF = "Elektronisk handelsformat"
Example response
POST /v2/tenants/{tenantUid}/organizations/{organizationUid}/settlements/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 321
{
"storeUids": [
"text"
],
"storePaymentMethodUids": [
"text"
],
"settlementCode": "text",
"createdAt": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
},
"states": [
"NOT_STARTED"
],
"statuses": [
"NEW"
],
"externalIds": [
"text"
],
"externalPaymentReferences": [
"text"
],
"hasEhfInvoice": true,
"hasPaymentBalanceOutstanding": true
}Example response
{
"items": [
{
"amount": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"displayMessages": [
{
"key": "text",
"message": "text",
"timestamp": "2026-01-01T00:00:00.000Z"
}
],
"externalId": "text",
"externalPaymentReference": "text",
"idMethod": "NO_CVM_RULE_PERFORMED",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"parameters": [
{
"key": "text",
"value": "text"
}
],
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementCode": "text",
"settlementUid": "text",
"settlementName": "text",
"state": "NOT_STARTED",
"status": "NEW",
"storeSettlementIssuerUid": "text",
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"storePaymentMethodUid": "text",
"currency": {
"amount": 1,
"code": "text",
"exchangeRate": 1
},
"additionalDetails": [
{
"key": "text",
"value": "text"
}
],
"paymentCount": 1,
"paymentAmount": 1,
"orderReceiptUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

